Errore nella configurazione di phpmyadmin

Salve, sto impazzendo da ore perchè non riesco ad installare phpmyadmin. Ho installato apache e mysql senza problema o quasi. Non ho trovato infatto la cartella ext dove si caricano le estensioni e quindi invece di scrivere:

extension_dir= "C:/php/ext"

Ho scritto

extension_dir= "C:/php".

Così mi funziona. Detto questo passo al problema che mi è rimasto. Dopo aver estratto i file di phpmysql 3.1 in una cartella che ho chiamato phpmysql nella cartella htdocs, ho settato i seguenti parametri:

$cfg['PmaAbsoluteUri'] = 'http://localhost/phpmyadmin/';

$cfg['blowfish_secret'] = 'fabrizio';

Dopodichè ho lasciato inalterato gli altri parametri. Sono andato a richiamare l'applicazione scrivendo nella barra degli indirizzi http://localhost/phpmyadmin/ ma mi esce solo una lista di link con una pagina bianche intitolata "Index of /phpmyadmin" ma dell' applicazione nessuna traccia. In alcune guide online poi ho sentito parlare di una cartella libraries dove configurare i parametri ma a me non c'è.

Non sto capendo nulla, qualcuno mi aiuta?

inviato 7 anni fa
MGbyte78
X 0 X

Ho dimenticato di dire che se scrivo http://localhost/phpmyadmin/index.php mi esce il seguente errore:

Warning: require_once(./libraries/common.inc.php) [function.require-once]: failed to open stream: No such file or directory in C:\Programmi\Apache Software Foundation\Apache2.2\htdocs\phpmyadmin\index.php on line 34

Fatal error: require_once() [function.require]: Failed opening required './libraries/common.inc.php' (include_path='.;C:\php5\pear') in C:\Programmi\Apache Software Foundation\Apache2.2\htdocs\phpmyadmin\index.php on line 34

risposto 7 anni fa
MGbyte78
X 0 X

Sicro di aver scompattato tutti i file di phpmyadmin?

 :bye:

risposto 7 anni fa
Marco Dario
X 0 X

Wimzip mi ha fatto un casino nell' estrazione, alcune cartelle non le aveva estratte. Ora funziona tutto ma è rimasto un problema. Quando avvia phpmyadmin mi esce:

Impossibile caricare l'estensione mcrypt,<br />prego controllare la configurazione di PHP

Ho già tolto i ";" nel file php.ini che si trova nella cartella php

extension=php_mbstring.dll

extension=php_mbstring.dll

Doo questa operazione il risultato non è cambiato neanche riavviando apache.

Ho anche spostato la libreria libmcrypt.dll nella cartella windows come suggeriva Gianni in un vecchio POST. Cosa devo fare?

risposto 7 anni fa
MGbyte78
X 0 X

Un altro messaggio che mi esce sotto è:

"Da questo punto in poi, i cookie devono essere abilitati." Però ho notato che se uso I.E. mi escono questi due messaggi mentre con firefox niente.

risposto 7 anni fa
MGbyte78
X 0 X

Qua c'è da uscire pazzi, ora errori non ne escono più, però quando entro in phpmyadmin mi chiede una username e una password che non ho settato, mi basta poi inserire solo una username inventata per entrare ma poi mi dice che non ho nessun privilegio e non mi fa creare nessun database...

E' da stamattina che sto impazzendo......

risposto 7 anni fa
MGbyte78
X 0 X

Hai inserito la username e la password del utente root di Mysql?

 :bye:

risposto 7 anni fa
Marco Dario
X 0 X

Guarda ho disinstallato tutto e ho rimesso una vecchia versione inferiore alla 5. Immagino che non potrò sfruttare le novità del php5 ora vero? Comunque proverò a reinstallare tutto la versione 5 su un altro PC e vedrò se mi escono altri problemi

risposto 7 anni fa
MGbyte78
X 0 X
Guarda ho disinstallato tutto e ho rimesso una vecchia versione inferiore alla 5. Immagino che non potrò sfruttare le novità del php5 ora vero?

Bhe se hai cambiato versione di Php dalla 5 alle 4 è ovvio che non hai le nuove potenzialità del 5.

 :bye:

risposto 7 anni fa
Marco Dario
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda